<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

// $image_width  = 250; // 이미지 폭
// $image_height = 200; // 이미지 높이

if (!$skin_no) $skin_no = "01";
?>



<!-- 게시판 목록 시작 -->
<table width="<?=$width?>" align=center cellpadding=0 cellspacing=0><tr><td>

<!-- 분류 셀렉트 박스, 게시물 몇건, 관리자화면 링크 -->
<table width="100%" cellspacing="0" cellpadding="0">
<tr height="25">
    <td align="right">
            <? if ($admin_href) { ?><a href="<?=$admin_href?>"><img src="<?=$board_skin_path?>/img/admin_button.gif" title="관리자" width="63" height="22" border="0" align="absmiddle"></a><?}?></td>
</tr>
<tr><td height=5></td></tr>
</table>
<!-- 박스 시작-->
<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="F3F3F3">
    <tr>
        <td>
            <table width="100%" border="0" cellpadding="0" cellspacing="4" bgcolor="F3F3F3">
                <tr>
                    <td align="center" valign="top" bgcolor="FFFFFF" style="padding:0px">
                    <br>
					      <!-- 게시물 리스트 시작 -->

<!-- 제목 -->
<?
// 번호에 이미지를 사용할 경우는 아래의 주석을 제거하고 $list[$i][num]의 내용을 수정후 사용하세요.
// if (!is_int($list[$i][num])) { $list[$i][num] = "<img src='$board_skin/img/arrow.gif'>"; } 
?>

<table width=100% border=0 cellpadding=0 cellspacing=0>
<? for ($i=0; $i<count($list); $i++) { ?>
<tr>

    <td valign=top> 
         <?
    $image = urlencode($list[$i][file][0][file]); // 첫번째 파일이 이미지라면
            if (preg_match("/\.(gif|jpg|png)$/i", $image) && file_exists("$g4[path]/data/file/$bo_table/$image")) {
                echo "<img src='$g4[path]/data/file/$bo_table/$image' border='0'>&nbsp;&nbsp;";
}
    else if (file_exists($list[$i][file_image1])) { $gznews_img = "border=0)'><br>"; }
   
      else if (preg_match("/\.(swf|wma|asf)$/i", $image) && file_exists("$g4[path]/data/file/$bo_table/$image")) {
                echo "<embed src='$g4[path]/data/file/$bo_table/$image' width='700' height='200' border='0' wmode='transparent'></embed>&nbsp;&nbsp;";
}
   
?>
				<a href='<?="./board.php?&bo_table=$bo_table&wr_id={$list[$i][wr_id]}"?>'></a>
    </td>
    </tr>
    
    <tr>
    
    <td align=left> 
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td>
              <?=$list[$i][wr_content]?>
            </td>
          </tr>
        </table>
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td>
<?
//리스트에 수정화면 들어가기 기능 추가
if (($member[mb_id] && ($member[mb_id] == $list[$i][mb_id])) || $is_admin) {
    $edit_href = "./write.php?w=u&bo_table=$bo_table&wr_id=".$list[$i][wr_id]."&page=$page";
    $del_href = "javascript:del('./delete.php?bo_table=$bo_table&wr_id=".$list[$i][wr_id]."&page=&sca=&sfl=&stx=&sst=&sod=&spt=&page=');";
    echo " <a href=".$edit_href."><img src='$board_skin_path/img/btn_update.gif' border=0></a>";
    echo " <a href=".$del_href."><img src='$board_skin_path/img/btn_del.gif' border=0></a>";
}
?>

            </td>
          </tr>
        </table>        
     </td>

  
	</tr>


<? } ?>

<? if (count($list) == 0) { echo "<tr><td colspan=6 align=center class='content contentbg'>준비중 입니다.</td></tr>"; } ?>
<tr><td colspan=<?=$colspan?> height="5"></td></tr>
</table>
</form>

<!-- 게시물 리스트 끝 -->
</td></tr>
</table>
</td></tr>
</table>
<!-- 박스 끝-->
<!-- 페이지 -->
<table width="100%" cellspacing="0" cellpadding="0">
<tr> 
    <td width="100%" align="center" height=30 valign=bottom>
        <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/btn_search_prev.gif' width=50 height=20 border=0 align=absmiddle title='이전검색'></a>"; } ?>
        <?
        // 기본으로 넘어오는 페이지를 아래와 같이 변환하여 이미지로도 출력할 수 있습니다.
        //echo $write_pages;
        $write_pages = str_replace("처음", "<img src='$board_skin_path/img/begin.gif' border='0' align='absmiddle' title='처음'>", $write_pages);
        $write_pages = str_replace("이전", "<img src='$board_skin_path/img/prev.gif' border='0' align='absmiddle' title='이전'>", $write_pages);
        $write_pages = str_replace("다음", "<img src='$board_skin_path/img/next.gif' border='0' align='absmiddle' title='다음'>", $write_pages);
        $write_pages = str_replace("맨끝", "<img src='$board_skin_path/img/end.gif' border='0' align='absmiddle' title='맨끝'>", $write_pages);
        $write_pages = preg_replace("/<span>([0-9]*)<\/span>/", "<b><font style=\"font-family:돋움; font-size:9pt; color:#797979\">$1</font></b>", $write_pages);
        $write_pages = preg_replace("/<b>([0-9]*)<\/b>/", "<b><font style=\"font-family:돋움; font-size:9pt; color:orange;\">$1</font></b>", $write_pages);
        ?>
        <?=$write_pages?>
        <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/btn_search_next.gif' width=50 height=20 border=0 align=absmiddle title='다음검색'></a>"; } ?>
    </td>
</tr>
</table>

<!-- 버튼 링크 -->
<form name=fsearch method=get style="margin:0px;">
<input type=hidden name=bo_table value="<?=$bo_table?>">
<input type=hidden name=sca      value="<?=$sca?>">
<table width=100% cellpadding=0 cellspacing=0>
<tr> 
    <td width="50%" height="40">
        <? if ($list_href) { ?><a href="<?=$list_href?>"><img src="<?=$board_skin_path?>/img/btn_list.gif" border="0"></a><? } ?>
        <? if ($write_href) { ?><a href="<?=$write_href?>"><img src="<?=$board_skin_path?>/img/btn_write.gif" border="0"></a><? } ?>
    </td>
   
</tr>
</table>
</form>

</td></tr></table>

<script language="JavaScript">
if ("<?=$sca?>") document.fcategory.sca.value = "<?=$sca?>";
if ("<?=$stx?>") {
    document.fsearch.sfl.value = "<?=$sfl?>";
    document.fsearch.sop.value = "<?=$sop?>";
}
</script>

<? if ($is_checkbox) { ?>
<script language="JavaScript">
function all_checked(sw)
{
    var f = document.fboardlist;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}

function check_confirm(str)
{
    var f = document.fboardlist;
    var chk_count = 0;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }

    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}

// 선택한 게시물 삭제
function select_delete()
{
    var f = document.fboardlist;

    str = "삭제";
    if (!check_confirm(str))
        return;

    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;

    f.action = "./delete_all.php";
    f.submit();
}

// 선택한 게시물 복사 및 이동
function select_copy(sw)
{
    var f = document.fboardlist;

    if (sw == "copy")
        str = "복사";
    else
        str = "이동";
                       
    if (!check_confirm(str))
        return;

    var sub_win = window.open("", "move", "left=50, top=50, width=396, height=550, scrollbars=1");

    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>
<!-- 게시판 목록 끝 -->